#include <stdio.h>
#include <stdlib.h>

void even(int arr[1024], int n){

	int buffer;
	int count = 0;

	for(int i = 0; i < n; i++){

		buffer = arr[i];

		for(int j = i + 1; j < n; j++){

			buffer = buffer*arr[j];

			if(arr[i] % 2 == 0){

				count++;

			}

			if(buffer % 2 == 0){

				count++;

			}

		}

	}

	printf("%d", count);

}

int main()
{

    int n;
    int arr[1024]; //= {5, 3, 2, 5};
	scanf("%d", &n);

	for(int i = 0; i < n; i++){

		scanf("%d", &arr[i]);

	}

	//n = 5;

	even(arr, n);

}
